#
# spec file for package lvm2 (Version 2.02.28)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lvm2
BuildRequires:  device-mapper-devel module-init-tools
License:        GPL v2 or later; LGPL v2.1 or later
Group:          System/Base
Requires:       device-mapper >= 1.02.22
Provides:       lvm
Obsoletes:      lvm
%if %suse_version > 800
PreReq:         %fillup_prereq %insserv_prereq
%endif
AutoReqProv:    on
Version:        2.02.28
Release:        1
Summary:        LVM2 Tools
Source:         LVM2.%{version}.tar.bz2
Source1:        lvm.conf
Source2:        boot.lvm
Source3:        sysconfig.lvm
Patch:          improve_probing.diff
Patch2:         no-inc-audit.diff
Patch3:         no_buildroot_shared.diff
Patch4:         sys_mount_instead_linux_fs.diff
Patch5:         pvscan_2TB_limit.diff
Patch6:         man_page_sectors.diff
Patch10:        lvm-no_chown.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Programs and man pages for configuring and using the LVM2 Logical
Volume Manager.



%prep
%setup -n LVM2.%{version}
%patch
%patch2
%patch3
%patch4
%patch5
%patch6
%patch10

%build
CFLAGS="$RPM_OPT_FLAGS" MODPROBE_CMD=/sbin/modprobe \
./configure --prefix=/ \
	--mandir=%{_mandir} \
	--includedir=/usr/include \
	--libdir=/%_lib
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/lvm
install -d -m 755 $RPM_BUILD_ROOT/etc/lvm/backup
install -d -m 755 $RPM_BUILD_ROOT/etc/lvm/archive
install -d -m 755 $RPM_BUILD_ROOT/etc/lvm/metadata
install -d -m 755 $RPM_BUILD_ROOT/var/lock/lvm
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/lvm
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/var/adm/fillup-templates

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -n lvm -py boot.lvm}

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc INSTALL COPYING COPYING.LIB README WHATS_NEW doc/*
%dir /etc/lvm
%dir /etc/lvm/backup
%dir /etc/lvm/archive
%dir /etc/lvm/metadata
%dir /var/lock/lvm
%config /etc/lvm/lvm.conf
%config /etc/init.d/boot.lvm
/var/adm/fillup-templates/sysconfig.lvm
/sbin/lvchange
/sbin/lvconvert
/sbin/lvcreate
/sbin/lvdisplay
/sbin/lvextend
/sbin/lvm
/sbin/lvmchange
/sbin/lvmdiskscan
/sbin/lvmdump
/sbin/lvmsadc
/sbin/lvmsar
/sbin/lvreduce
/sbin/lvremove
/sbin/lvrename
/sbin/lvresize
/sbin/lvs
/sbin/lvscan
/sbin/pvchange
/sbin/pvck
/sbin/pvcreate
/sbin/pvdisplay
/sbin/pvmove
/sbin/pvremove
/sbin/pvresize
/sbin/pvs
/sbin/pvscan
/sbin/vgcfgbackup
/sbin/vgcfgrestore
/sbin/vgchange
/sbin/vgck
/sbin/vgconvert
/sbin/vgcreate
/sbin/vgdisplay
/sbin/vgexport
/sbin/vgextend
/sbin/vgimport
/sbin/vgmerge
/sbin/vgmknodes
/sbin/vgreduce
/sbin/vgremove
/sbin/vgrename
/sbin/vgs
/sbin/vgscan
/sbin/vgsplit
%{_mandir}/man5/lvm.conf.5.gz
%{_mandir}/man8/lvchange.8.gz
%{_mandir}/man8/lvcreate.8.gz
%{_mandir}/man8/lvconvert.8.gz
%{_mandir}/man8/lvdisplay.8.gz
%{_mandir}/man8/lvmdump.8.gz
%{_mandir}/man8/lvextend.8.gz
%{_mandir}/man8/lvm.8.gz
%{_mandir}/man8/lvmchange.8.gz
%{_mandir}/man8/lvmdiskscan.8.gz
%{_mandir}/man8/lvreduce.8.gz
%{_mandir}/man8/lvremove.8.gz
%{_mandir}/man8/lvrename.8.gz
%{_mandir}/man8/lvresize.8.gz
%{_mandir}/man8/lvs.8.gz
%{_mandir}/man8/lvscan.8.gz
%{_mandir}/man8/pvchange.8.gz
%{_mandir}/man8/pvck.8.gz
%{_mandir}/man8/pvcreate.8.gz
%{_mandir}/man8/pvdisplay.8.gz
%{_mandir}/man8/pvmove.8.gz
%{_mandir}/man8/pvremove.8.gz
%{_mandir}/man8/pvresize.8.gz
%{_mandir}/man8/pvs.8.gz
%{_mandir}/man8/pvscan.8.gz
%{_mandir}/man8/vgcfgbackup.8.gz
%{_mandir}/man8/vgcfgrestore.8.gz
%{_mandir}/man8/vgchange.8.gz
%{_mandir}/man8/vgck.8.gz
%{_mandir}/man8/vgconvert.8.gz
%{_mandir}/man8/vgcreate.8.gz
%{_mandir}/man8/vgdisplay.8.gz
%{_mandir}/man8/vgexport.8.gz
%{_mandir}/man8/vgextend.8.gz
%{_mandir}/man8/vgimport.8.gz
%{_mandir}/man8/vgmerge.8.gz
%{_mandir}/man8/vgmknodes.8.gz
%{_mandir}/man8/vgreduce.8.gz
%{_mandir}/man8/vgremove.8.gz
%{_mandir}/man8/vgrename.8.gz
%{_mandir}/man8/vgs.8.gz
%{_mandir}/man8/vgscan.8.gz
%{_mandir}/man8/vgsplit.8.gz

%changelog
* Thu Nov 22 2007 - fehr@suse.de
- adapt man page for pvdisplay to program (#342862)
- fix spec file to detect path to modprobe binary (#331968)
* Thu Nov 22 2007 - fehr@suse.de
- update to new version 2.02.28
  Fix inconsistent licence notices: executables are GPLv2; libraries LGPLv2.1.
  Add support for renaming mirrored LVs.
  Add --mirrorlog argument to specify log type for mirrors.
  Fix lvdisplay man page to say LV size is reported in sectors, not KB.
  Fix snapshot cow area deactivation if origin is not active.
  Add vg_mda_count and pv_mda_count columns to reports.
  Handle vgsplit of an entire VG as a vgrename.
  Print warnings to stderr instead of stdout.
  Update vgcfgrestore man page.
  Allow keyboard interrupt during user prompts when appropriate.
  Add -f to vgcfgrestore to list metadata backup files.
  Add pvdisplay --maps implementation.
  Remove unsupported LVM1 options from vgcfgrestore man page.
  Update vgcfgrestore man page to show mandatory VG name.
  Update vgrename man page to include UUID and be consistent with lvrename.
* Mon May 07 2007 - fehr@suse.de
- update to new version 2.02.25
  Add devices/preferred_names config regex list for displayed device names
  Update pvck to include text metadata area and record detection
  Fix creation and conversion of mirrors with tags
  Fix vgsplit for lvm1 format (set and validate VG name in PVs metadata)
  Split metadata areas in vgsplit properly
  Fix vgremove to require at least one vg argument
  Fix reading of striped LVs in LVM1 format
  Fix vgsplit to handle mirrors
  Fix md signature check to handle both endiannesses
  Add devices/ignore_suspended_devices to ignore suspended dm devices
* Tue Feb 20 2007 - fehr@suse.de
- add boot.dmraid to Should-Start in boot.lvm2
* Sun Feb 11 2007 - ro@suse.de
- fix build as non-root and use DESTDIR
* Mon Jan 08 2007 - fehr@suse.de
- fix buggy pointer arithmetic (#232117)
* Mon Dec 18 2006 - fehr@suse.de
- update to new version 2.02.17
  Add missing pvremove error message when device doesn't exist.
  When lvconvert allocates a mirror log, respect parallel area constraints.
  Use loop to iterate through the now-ordered policy list in _allocate().
  Check for failure to allocate just the mirror log.
  Introduce calc_area_multiple().
  Support mirror log allocation when there is only one PV: area_count now 0.
  Fix detection of smallest area in _alloc_parallel_area() for cling policy.
  Add manpage entry for clvmd -T
  Fix gulm operation of clvmd, including a hang when doing lvchange -aey
  Fix hang in clvmd if a pre-command failed.
* Wed Dec 06 2006 - fehr@suse.de
- update to new version 2.02.16
  Fix VG clustered read locks to use PR not CR.
  Adjust some alignments for ia64/sparc.
  Fix mirror segment removal to use temporary error segment.
  Add -T (startup timeout) switch to clvmd.
  Install lvmdump by default.
  Fix check for snapshot module when activating snapshot.
  Fix pvremove error path for case when PV is in use.
  Warn if certain duplicate config file entries are seen.
  Fix --autobackup argument which could never disable backups.
  Fix a label_verify error path.
  Fix adjusted_mirror_region_size() to handle 64-bit size.
  Add some missing bounds checks on 32-bit extent counters.
  Add Petabyte and Exabyte support.
  Fix lvcreate error message when 0 extents requested.
  lvremove man page: volumes must be cluster inactive before being removed.
  Protect .cache manipulations with fcntl locking.
  Change .cache timestamp comparisons to use ctime.
  Fix mirror log LV writing to set all bits in whole LV.
  Fix high-level free space check for partial allocations.
* Mon Oct 30 2006 - fehr@suse.de
- update to new version 2.02.13 to finally fix bug #178321
  Add couple of missing files to tools/Makefile CLEAN_TARGETS.
  When adding snapshot leave cow LV mapped device active after zeroing.
  Fix a clvmd debug message.
  Add dev_flush() to set_lv().
  Add lvchange --resync.
  Perform high-level free space check before each allocation attempt.
  Don't allow a node to remove an LV that's exclusively active on anther node.
  Cope if same PV is included more than once in cmdline PE range list.
  Set PV size to current device size if it is found to be zero.
  Add segment parameter to target_present functions.
* Tue Oct 17 2006 - fehr@suse.de
- update to new version 2.02.12
  Fix pvdisplay to use vg_read() for non-orphans.
  Fall back to internal locking if external locking lib is missing or fails.
  Retain activation state after changing LV minor number with --force.
  Propagate clustered flag in vgsplit and require resizeable flag.
  Add clvmd function to return the cluster name. not used by LVM yet.
  Add cling allocation policy.
  Change _check_contiguous() to use _for_each_pv().
  Extend _for_each_pv() to allow termination without error.
  Abstract _is_contiguous().
  Remove duplicated pv arg from _check_contiguous().
  Accept regionsize with lvconvert.
  Add report columns with underscore before field names ending 'size'.
  Correct regionsize default on lvcreate man page (MB).
  Fix clvmd bug that could cause it to die when a node with a long name crashed
  Add device size to text metadata.
  Fix format_text mda_setup pv->size and pv_setup pe_count calculations.
  Fix _for_each_pv() for mirror with core log.
  Add lvm_dump.sh script to create a tarball of debugging info from a system.
  Capture error messages in clvmd and pass them back to the user.
  Remove unused #defines from filter-md.c.
  Make clvmd restart init script wait until clvmd has died before starting it.
  Add -R to clvmd which tells running clvmds to reload their device cache.
  Add LV column to reports listing kernel modules needed for activation.
  Show available fields if report given invalid field. (e.g. lvs -o list)
  Add timestamp functions with --disable-realtime configure option.
  Add %%VG, %%LV and %%FREE suffices to lvcreate/lvresize --extents arg.
  Fix two potential NULL pointer derefs in error cases in vg_read().
  Separate --enable-cluster from locking lib options in lvmconf.sh.
  Add a missing comma in lvcreate man page.
* Wed Sep 20 2006 - fehr@suse.de
- update to new version 2.02.10
  Fix lvconvert mirror change case detection logic.
  Fix mirror log detachment so it correctly becomes a standalone LV.
  Extend _check_contiguous() to detect single-area LVs.
  Include mirror log (untested) in _for_each_pv() processing.
  Use MIRROR_LOG_SIZE constant.
  Remove struct seg_pvs from _for_each_pv() to generalise.
  Avoid adding duplicates to list of parallel PVs to avoid.
  Fix several incorrect comparisons in parallel area avoidance code.
  Fix segment lengths when flattening existing parallel areas.
  Log existing parallel areas prior to allocation.
  Fix mirror log creation when activation disabled.
  Don't attempt automatic recovery without proper locking.
  When using local file locking, skip clustered VGs.
  Add fallback_to_clustered_locking and fallback_to_local_locking parameters.
  lvm.static uses built-in cluster locking instead of external locking.
  Don't attempt to load shared libraries if built statically.
  Change default locking_lib to liblvm2clusterlock.so.
  Add skip_dev_dir() to process command line VGs.
  Stop clvmd complaining about nodes that have left the cluster.
  Move lvm_snprintf(), split_words() and split_dm_name() into libdevmapper.
  Add lvconvert man page.
  Add mirror options to man pages.
  Prevent mirror renames.
  Move CMDLIB code into separate file and record whether static build.
* Wed Sep 13 2006 - fehr@suse.de
- change BuildRequires to device-mapper-devel
* Mon Aug 21 2006 - fehr@suse.de
- update to new version 2.02.09
  Fix PE_ALIGN for pagesize over 32KB.
  Separate out LVM1_PE_ALIGN and pe_align().
  Add lvm_getpagesize wrapper.
  Add --maxphysicalvolumes to vgchange.
* Wed Aug 16 2006 - fehr@suse.de
- update to new version 2.02.08
  Add checks for duplicate LV name, lvid and PV id before writing metadata.
  Report all sanity check failures, not just the first.
  Fix missing lockfs on first snapshot creation. (#197850)
  Add unreliable --trustcache option to reporting commands.
  Fix locking for mimage removal.
  Fix clvmd_init_rhel4 'status' exit code.
* Fri Jul 28 2006 - olh@suse.de
- remove dropped boot.ibmsis from boot.lvm
- boot.rootfsck should start before boot.lvm (#181972)
* Wed Jul 26 2006 - fehr@suse.de
- update to new version 2.02.06
  Fix activation logic in lvchange --persistent.
  Don't ignore persistent minor numbers when activating.
  Fix vgreduce --removemissing to return success if VG is already consistent.
  Fix return code if VG specified on command line is not found.
  Fix PV tools to include orphaned PVs in default output again.
  Prevent snapshots of mirrors.
  Fix lvcreate corelog validation.
  Add --config for overriding most config file settings from cmdline.
  Quote arguments when printing command line.
  Remove linefeed from 'initialising logging' message.
  Add 'Completed' debug message.
  Don't attempt library exit after reloading config files.
  Always compile with libdevmapper, even if device-mapper is disabled.
* Mon May 22 2006 - fehr@suse.de
- update to new version 2.02.06
  Propagate --monitor around cluster.
  Add --monitor to vgcreate and lvcreate to control dmeventd registration.
  Filter LCK_NONBLOCK in clvmd lock_vg.
  Add --nosync to lvcreate with LV flag NOTSYNCED.
  Use mirror's uuid for a core log.
  Add mirror log fault-handling policy.
  Improve mirror warning messages and tidy dmeventd syslog output.
  Propagate nosync flag around cluster.
  Allow vgreduce to handle mirror log failures.
  Add --corelog to lvcreate and lvconvert.
  Create a log header for replacement in-sync mirror log.
  Use set_lv() and dev_set() to wipe sections of devices.
  Add mirror_library description to example.conf.
  Fix uuid_from_num() buffer overrun.
  Increase maximum stripe size limit to physical extent size for lvm2 metadata.
  Fix activation code to check for pre-existing mirror logs.
  Ignore empty strings in config files.
  Require non-zero regionsize and document parameter on lvcreate man page.
  Invalidate cache if composition of VG changed externally.
* Wed Apr 26 2006 - hare@suse.de
- add LVM_DEVICE_TIMEOUT sysconfig variable to make sure
  udev has finished processing (#149979)
- Fix init script dependencies
* Mon Apr 24 2006 - fehr@suse.de
- update to new version 2.02.05
  Fix vgid string termination in recent cache code
* Thu Apr 20 2006 - fehr@suse.de
- update to new version 2.02.04
  Check for libsepol.
  Add some cflow & scope support.
  Separate out DEFS from CFLAGS.
  Remove inlines and use unique function names.
* Wed Apr 19 2006 - fehr@suse.de
- update to new version 2.02.03
  vgrename accepts vgid and exported VG.
  Add --partial to pvs.
  When choosing between identically-named VGs, also consider creation_host.
  Provide total log suppression with 2.
  Fix vgexport/vgimport to set/reset PV exported flag so pv_attr is correct.
  Add vgid to struct physical_volume and pass with vg_name to some functions.
  If two or more VGs are found with the same name, use one that is not exported.
  Whenever vgname is captured, also capture vgid and whether exported.
  Remove an incorrect unlock_vg() from process_each_lv().
  Update extent size information in vgchange and vgcreate man pages.
  Introduce origin_from_cow() and lv_is_visible().
  pvremove without -f now fails if there's no PV label.
  Support lvconvert -s.
  Suppress locking library load failure message if --ignorelockingfailure.
  Propagate partial mode around cluster.
  Fix archive file expiration.
  Fix dmeventd build.
  clvmd now uses libcman rather than cman ioctls.
  clvmd will allow new cman to shutdown on request.
* Thu Apr 06 2006 - fehr@suse.de
- add option --mknodes to vgscan call in /etc/init.d/boot.lvm to
  avoid potential inconsistencies in minor number of dm devices after
  reboot when root fs is LVM LV (#139740)
* Tue Mar 14 2006 - fehr@suse.de
- update to new version 2.02.02
  Add %%.so: %%.a make template rule.
  Switchover library building to use LIB_SUFFIX.
  Only do lockfs filesystem sync when suspending snapshots.
  Always print warning if activation is disabled.
  vgreduce removes mirror images.
  Add --mirrorsonly to vgreduce.
  vgreduce replaces active LVs with error segment before removing them.
  Set block_on_error parameter if available.
  Add target_version.
  Add details to format1 'Invalid LV in extent map' error message.
  Fix lvscan snapshot full display.
  Bring lvdisplay man page example into line.
  Add mirror dmeventd library.
  Add some activation logic to remove_mirror_images().
  lvconvert can remove specified PVs from a mirror.
  lvconvert turns an existing LV into a mirror.
  Allow signed mirrors arguments.
  Move create_mirror_log() into toollib.
  Determine parallel PVs to avoid with ALLOC_NORMAL allocation.
  Fix lv_empty.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - fehr@suse.de
- add new binary /sbin/lvconvert to file list
* Tue Dec 13 2005 - fehr@suse.de
- add patch lvm-lock.diff to fix bug #138128
* Tue Dec 06 2005 - fehr@suse.de
- update to new version 2.02.01
* Tue Nov 08 2005 - fehr@suse.de
- add fix_striped_old_format.diff to allow striped volumes with
  old metadata format (#130433)
- add fix_dm_as_pv.diff to allow usage of dm devices as PVs (#129960)
* Mon Oct 17 2005 - fehr@suse.de
- update to new version 2.01.15
* Mon Sep 26 2005 - fehr@suse.de
- fix bug in pvscan.c with PVs larger than 2TB in VGs
* Thu Aug 04 2005 - fehr@suse.de
- update to new version 2.01.14
* Mon Jul 18 2005 - fehr@suse.de
- update to new version 2.01.13
* Thu Jun 16 2005 - fehr@suse.de
- update to new version 2.01.12
* Wed Jun 15 2005 - meissner@suse.de
- add libselinux to nfb to enable selinux support.
- use RPM_OPT_FLAGS.
* Tue Jun 14 2005 - fehr@suse.de
- update to new version 2.01.11
* Wed May 04 2005 - fehr@suse.de
- update to new version 2.01.10
* Mon Apr 11 2005 - fehr@suse.de
- use -y instead of -Y in options for call to fillup_and_insserv
  (#76689)
- update to new version 2.01.09
* Wed Mar 09 2005 - fehr@suse.de
- update to new version 2.01.07
* Mon Mar 07 2005 - fehr@suse.de
- update to new version 2.01.06
* Thu Feb 10 2005 - fehr@suse.de
- update to new version 2.01.04
* Wed Feb 02 2005 - fehr@suse.de
- update to new version 2.01.03
* Mon Jan 24 2005 - fehr@suse.de
- update to new version 2.01.02
* Thu Jan 20 2005 - fehr@suse.de
- update to new version 2.01.01
* Wed Jan 19 2005 - fehr@suse.de
- update to new version 2.01.00
* Tue Jan 11 2005 - fehr@suse.de
- update to new version 2.00.33
* Wed Jan 05 2005 - arvin@suse.de
- update to new version 2.00.32
* Fri Dec 17 2004 - arvin@suse.de
- fixed -s option of vgdisplay (bug #49177)
* Mon Nov 29 2004 - fehr@suse.de
- update to new version 2.00.29
* Thu Nov 25 2004 - fehr@suse.de
- update to new version 2.00.27
* Wed Nov 24 2004 - fehr@suse.de
- update to new version 2.00.26
* Wed Sep 29 2004 - fehr@suse.de
- update to new version 2.00.25
* Wed Sep 22 2004 - fehr@suse.de
- prevent buggy macro for MAJOR in kdev_t.h creep into code via
  include of linux/fs.h
* Mon Sep 20 2004 - fehr@suse.de
- update to new version 2.00.24
* Thu Sep 16 2004 - fehr@suse.de
- update to new version 2.00.23
* Mon Sep 06 2004 - fehr@suse.de
- update to new version 2.00.22
* Mon Aug 23 2004 - fehr@suse.de
- update to new version 2.00.21
- new version obsoletes lvm2-vgscan.patch
* Wed Jul 14 2004 - fehr@suse.de
- update to new version 2.00.20
* Mon Jun 07 2004 - fehr@suse.de
- update to new version 2.00.16
- add forgotten patch no-inc-audit.diff needed for STABLE
* Mon May 24 2004 - fehr@suse.de
- update to new version 2.00.15 to fix bug #41020
* Mon May 24 2004 - hare@suse.de
- Fixed vgscan on S/390 (readdir returned DT_UNKNOWN)
* Thu May 13 2004 - fehr@suse.de
- ignore udev names in default configuration to prevent yast2
  confusion (#36869)
* Mon Apr 19 2004 - fehr@suse.de
- accept additional devices (IDE->64, iseries/vd->8, #39114)
* Thu Apr 01 2004 - fehr@suse.de
- update to new version 2.00.09 (fixes #34657 and #36877)
* Tue Mar 02 2004 - ro@suse.de
- boot.lvm: root-fs is mounted-rw by boot.rootfsck
* Thu Feb 26 2004 - fehr@suse.de
- skip cdroms and device with zero size on probing
* Wed Feb 04 2004 - fehr@suse.de
- update to new version 2.00.08
- now lvm2 obsoletes lvm
* Thu Sep 18 2003 - fehr@suse.de
- fix boot.lvm to cope with LABEL= and UUID= in /etc/fstab
  also check reiser filesystem (#31060)
* Wed Sep 17 2003 - fehr@suse.de
- update to new version 2.00.07
* Thu Aug 21 2003 - fehr@suse.de
- update to new version 2.00.06
* Mon Aug 18 2003 - garloff@suse.de
- (#29083) Add # X-UnitedLinux-Should-Start: boot.scsidev
* Tue Jul 01 2003 - fehr@suse.de
- created initial version of a SuSE package
